XINE(1x)

NAME
xine - a free video player

SYNOPSIS
xine [options] [MRL] ...

DESCRIPTION
This manual page documents briefly the xine audio/video player.

xine plays MPEG system (audio and video) streams, mpeg elementary streams (e.g. .mp3 or .mpv files), mpeg transport streams, ogg files, avi files, asf files, quicktime files, (S)VCDs and DVDs and many more.

OPTIONS
The programs follow the usual GNU command line syntax, with long options starting with two dashes (`--'). A summary of options are included below. For a complete description, see README and FAQ in @XINE_DOCDIR@ or on the xine home page.

-h, --help
    Show summary of options and available output drivers (plugins).

--verbose[=level]
    Set verbose level.

--config<file>
    Use config file instead of default one.

-a, --audio-channel <num>
    Select the given audio channel. <num> is the audio channel number, default is 0.
    xine 0.5 and newer tries its best to collect all valid audio channels (ac3, mpeg audio, avi audio, ...) from the stream and maps them to "virtual channels" with channel numbers starting at 0.

-V, --video-driver <drv>
    Select video driver. Check out xine --help for a list of available video output plugins on your system. This selection is stored automatically in your ~/.xine/config so you'll have to specify the video driver only once.

-A, --audio-driver <drv>
    Select audio driver. Check out xine --help for a list of available audio output plugins on your system. This selection is stored automatically in your ~/.xine/config so you'll have to specify the audio driver only once.

-u, --spu-channel <num>
    Select subpicture (subtitle) channel. <num> is the subpicture channel id, default is no subtitle (-1).

-p, --auto-play=[f][F][h][w][q][d][v]
    Start playing immediately after start. Can be followed by:
    `f' in fullscreen mode,
    `F' in xinerama fullscreen mode,
    `h' hide GUI (main panel, etc...),
    `w' hide video output window,
    `q' for quitting after playback,
    It is also possible to request the playlist from DVD `d', or VCD `v'. There is now a more generic option, --auto-scan, for that (see below).

-s, --auto-scan <plugin>
    Auto-scan playlist from named input plugin. Many plugins allow to read a default playlist, in order to play everything. This works fine for DVDs or VCDs, for example. Giving this option has the same effect as pressing the according button on xine's main panel. This option is especially useful in combination with auto-play. You could start xine --auto-play --auto-scan dvd in order to play a whole DVD without having to press any additional buttons. This also works for plugins that are not supplied with xine, just give the name of the button that the desired plugin adds to the xine panel!

-f, --fullscreen
    Switch xine to fullscreen mode on start (just like pressing `f')

-F, --xineramafull
    Switch xine to xinerama fullscreen mode on start (just like pressing `F'). That is to say, try to expand display on several screens. Screens to use are defined in config file.

-g, --hide-gui
    Hide all GUI windows (except the video window) on start. This is the same as pressing `G' within xine.

-H, --hide-video
    Hide video output window.

-L, --no-lirc
    Turn off LIRC support. This option is only available if xine has been compiled with LIRC support.

--visual <visual-class-or-id>
    Try to use a specific X11 server visual for xine windows. The <visual-class-or-id> parameter is either the name of an X11 visual class (StaticGray, GrayScale, StaticColor, PseudoColor, TrueColor or DirectColor) or the hexadecimal value for a specific X11 visual. When used with a visual class name, xine tries to find such a visual with depth 15 or 16, 24, 32 or 8 (in that order). The default visual class used by xine in absence of a --visual option is TrueColor. If no usable visual is found, xine falls back to the default visual used on the X11 server's root window.

--install
    When using an X11 visual with changeable colors (colormaps), install a private colormap for xine. With a private colormap, xine can allocate more colors so that video output may look better.

--keymap [=option]
    Display keymap. Option are:
    `default' display default keymap table,
    `lirc' display draft of a ~/.lircrc config file,
    `remapped' user remapped keymap table,
    `file:<file>' use file as keymap table,
    If no option is given, `default' is selected.

-n, --network
    Enable network remote control server. To use network remote control server, a password file is required. If xine cannot find it, the server is stopped. The syntax of the password file follows the (familliar) scheme <identification>:<password>. Since cryptography is subject to legal issues in some countries, the password is not encrypted and also transmitted unencrypted, so take care with remote connections. Two (optional) generic rules are available as well (one at a time)
    ALL:ALLOW or ALL:DENY
    In the first case, all clients are allowed to execute all available commands, without restriction. In the second case, no-one is allowed to execute any commands, except identified users (using 'identify' command). If a password entry begins with an asterisk `*', the user is blocked. If a password entry is empty, the full entry is ignored. Here is an example of a small ~/.xine/passwd file:
    ALL:DENY
    daniel:mypasswd
    foo:*
    This will allow only 'daniel' to execute commands, after a successfully identifying stage. The default port of the server is 6789, this number is totally arbitrary. You can connect the server using a simple telnet command:
    telnet localhost 6789
    To change the default port, you can (as root) edit your /etc/services, and add an entry like this:
    xinectl    7890/tcp        # xine control
    This will change the default port from 6789 to 7890, and create a "human" service called xinectl. The server itself offers command help/syntax:
    help [command]
    Without command specified, all available commands will be displayed. If a command is specified, short text about the command functionnality will be given.
    syntax <command>
    Display the command syntax.

-R, --root
    Use root window as video window.

-G, --geometry <WxH[+X+Y]>
    You can set video output size and position using the X like geometry (see X(7)). X and Y offset are optional.

-B, --borderless
    Remove borders of video output window, in windowed mode.

-N, --animation <mrl>
    Specify one or more mrl to play with audio only streams.

-P, --playlist <filename>
    Use file as playlist. Known formats are: asx, toxine, m3u, pls, sfv and raw text file.

-l, --loop [=mode]
    Set playlist loop mode. If mode isn't specified, mode loop is used. Possible modes are:
    loop: loop entire playlist.
    repeat: repeat current playlist entry.
    shuffle: select randomly an entry in playlist from those not yet played.
    shuffle+: same as shuffle, but indefinetely replay the playlist.

--skin-server-url <url>
    Define the skin server url.

--enqueue <mrl>...
    Enqueue one or more mrl in a running session (session 0).
    If you want to specify another session, use -S session=x option.

-S, --session <option1,option2,...>
    Session managements. All options can be used more than one time, except session.
    Options are:
    session=n specify session <n> number,
    mrl=m add mrl <m> to the playlist,
    audio=c select audio channel (<c>: next or prev),
    spu=c select spu channel (<c>: next or prev),
    volume=v set audio volume (<v>: 0 to 100),
    amp=v set audio amplification of instance (<v>: 0 to 200),
    loop=m set loop mode (<m>: none loop repeat shuffle or shuffle+),
    get_speed get current speed status. Return values are:
        - 1: error
        - 2: stop
        - 3: play
        - 4: pause
        - 5: slow4
        - 6: slow2
        - 7: fast2
        - 8: fast4
    get_time[=p|pos] get current position status in seconds, or in position in stream (0..65535).
    (playlist|pl)=p
      <p> can be:
        clear: clear the playlist,
        first: play first entry in the playlist,
        prev: play previous playlist entry,
        next: play next playlist entry,
        last: play last entry in the playlist,
        load:s: load playlist file <s>,
        stop: stop playback at the end of the current playback,
        cont: continue playback at the end of current playback.
    There are also some self explanatory options.
        play, slow2, slow4, pause, fast2, fast4, stop, quit, fullscreen, eject.

-Z  Don't automatically start playback, affect only auto-start when smart mode is used.

-D, --deinterlace [post[:..][;]]
    Deinterlace video output. You can override configuration option of post(s) used to deinterlace the output picture. See --post for syntax.

-r, --aspect-ratio <mode>
    Set aspect ratio of video output. <mode> can be: auto, square, 4:3, anamorphic, dvb.

--broadcast-port <port>
    Set port of xine broadcaster (master side), slave is started with 'xine slave://address:port'

--no-logo
    Don't display the logo.

-E, --no-reload
    Don't reload old playlist. Playlist is saved when you leave xine, then it is reloaded and played the next time you lanch xine. This feature can be disabled via setup window.

--post <plugin>[:parameter=value][,...][;...]
    Load one or more post plugin(s). Parameters are comma separated. This option can be used more than one time to chain two or more video postprocess plugins. You can specify two or more plugin, which may be separated by a semi-colon ';'.

--disable-post
    Don't enable post plugin(s). This way, you can specify one more plugin to use, using the --post command line option, but don't enable those effects.

--no-splash
    Don't display the splash screen.

--stdctrl
    Turn on controlling xine over STDIN.

-T, --tvout<backend>
    Turn on TVout support. <backend> can be: nvtv, ati.

--list-plugins[=type]
    Display the list of available plugins. Optional <type> can be: audio_out, video_out, demux, input, sub, post, audio_decoder, video_decoder

--bug-report[=mrl]
    Enable bug report mode. It turn verbosity on, gather all output messages and write them to a file names BUG-REPORT.TXT. If <mrl> is given, xine will play that mrl then quit (like -pq does).

If you don't specify any MRL, you'll have to select a file by drag'n-drop. Dragging files from the GNOME Midnight Commander (gmc), Nautilus or Konqueror is known to work.

MRL (media resource locator)
MRLs are similar to URLs in your web browser. They describe the media to read from. xine(5) describes them in some detail. xine extends the syntax as follows:

<mrl>::<subtitlefile>
    This is the xine-ui specific way to define the subtitle file to use. The filename will be extracted by the frontend, that permit to change it, save it in a playlist, etc...

STREAM OPTIONS
After a delimiting # you can add several stream parameters:

novideo
    video will be ignored

noaudio
    audio will be ignored

nospu
    subpictures will be ignored

demux:<demux name>
    specify the demux plugin to use

volume:<level>
    set audio volume

compression:<level>
    set audio dynamic range compression

<config entry>:<config value>
    assign a new value to any config entry

change configuration option 'on the fly':
    You can change a configuration option at anytime, using the special cfg:/ mrl style. The syntax is:
        cfg:/<config entry> : <config value>
    Unlike stream config option, you can change anything before playing the stream.

CONTROL KEYS
Many features can be controlled by pressing control keys. 'M-' is the Meta key (`Alt' key on PC keyboard), 'C-' is the Control `CTRL' key, other special key are delimited by '<' and '>' characters, eg: the `HOME' key is displayed <home>. The default key bindings are:

<Return>
    Start playback

<space>
    Playback pause toggle

S   Stop playback

t   Take a snapshot

e   Eject the current medium

<Next>
    Select and play next MRL in the playlist

<Prior>
    Select and play previous MRL in the playlist

l   Loop mode toggle

C-s Scan playlist to grab stream infos

C-a Add a mediamark from current playback

C-e Edit selected mediamark

<Left>
    Set position to -60 seconds in current stream

<Right>
    Set position to +60 seconds in current stream

M-<Left>
    Set position to -30 seconds in current stream

M-<Right>
    Set position to +30 seconds in current stream

C-<Left>
    Set position to -15 seconds in current stream

C-<Right>
    Set position to +15 seconds in current stream

M3-<Left>
    Set position to -7 seconds in current stream

M3-<Right>
    Set position to +7 seconds in current stream

C-0 Set position to beginning of current stream

C-1 Set position to 10% of current stream

C-2 Set position to 20% of current stream

C-3 Set position to 30% of current stream

C-4 Set position to 40% of current stream

C-5 Set position to 50% of current stream

C-6 Set position to 60% of current stream

C-7 Set position to 70% of current stream

C-8 Set position to 80% of current stream

C-9 Set position to 90% of current stream

<Up>
    Increment playback speed

<Down>
    Decrement playback speed

M-<Down>
    Reset playback speed

V   Increment audio volume

v   Decrement audio volume

C-V Increment amplification level

C-v Decrement amplification level

C-A Reset amplification to default value

C-m Audio muting toggle

<plus>
    Select next audio channel

<minus>
    Select previous audio channel

<period>
    Select next sub picture (subtitle) channel

<comma>
    Select previous sub picture (subtitle) channel

i   Interlaced mode toggle

a   Cycle aspect ratio values

<less>
    Reduce the output window size by factor 1.2

<greater>
    Enlarge the output window size by factor 1.2

M-1 Set video output window to 50%

M-2 Set video output window to 100%

M-3 Set video output window to 200%

z   Zoom in

Z   Zoom out

C-z Zoom in horizontally

C-Z Zoom out horizontally

M-z Zoom in vertically

M-Z Zoom out vertically

C-M-z
    Reset zooming

s   Resize output window to stream size

f   Fullscreen toggle

F   Xinerama fullscreen toggle

b   Video window borders appearence toggle

<Escape>
    Jump to media Menu

<F1>
    Jump to Title Menu

<F2>
    Jump to Root Menu

<F3>
    Jump to Subpicture Menu

<F4>
    Jump to Audio Menu

<F5>
    Jump to Angle Menu

<F6>
    Jump to Part Menu

<Keypad Up>
    Menu navigate up

<Keypad Down>
    Menu navigate down

<Keypad Left>
    Menu navigate left

<Keypad Right>
    Menu navigate right

<Keypad Enter>
    Menu select

<Keypad Next>
    Jump to next chapter

<Keypad Prior>
    Jump to previous chapter

<Keypad Home>
    Select next angle

<Keypad End>
    Select previous angle

M-h Visibility toggle of help window

M-P Visibility toggle of video post effect window

C-M-P
    Toggle post effect usage

h   Visibility toggle of output window

g   Visibility toggle of UI windows

M-c Visibility toggle of control window

M-m Visibility toggle of mrl browser window

M-p Visibility toggle of playlist editor window

M-s Visibility toggle of the setup window

M-e Visibility toggle of the event sender window

M-t Visibility toggle of analog TV window

M-l Visibility toggle of log viewer

M-i Visibility toggle of stream info window

C-i Display stream information using OSD

M-k Enter key binding editor

C-o Open file selector

C-S Select a subtitle file

C-d Download a skin from the skin server

C-t Display MRL/Ident toggle

<Insert>
    Grab pointer toggle

0   Enter the number 0

1   Enter the number 1

2   Enter the number 2

3   Enter the number 3

4   Enter the number 4

5   Enter the number 5

6   Enter the number 6

7   Enter the number 7

8   Enter the number 8

9   Enter the number 9

M3-<plus>
    Add 10 to the next entered number

<slash>
    Set position in current stream to numeric percentage See the section on "Numeric Input" below.

M-<Up>
    Set position forward by numeric argument in current stream

M3-<Up>
    Set position back by numeric argument in current stream

m   Change audio video syncing (delay video)

n   Change audio video syncing (delay audio)

<Home>
    Reset audio video syncing offset

M   Change subtitle syncing (delay video)

N   Change subtitle syncing (delay subtitles)

C-M-o
    Toggle TV modes (on the DXR3)

d   Switch Monitor to DPMS standby mode

C-l Stop playback after played stream

q   Quit the program

  Third party plugins
Following shortcuts are used by third party plugins, generally for DVD navigation:

<KeyPad Up>
    Up event.

<KeyPad Down>
    Down event.

<KeyPad Left>
    Left event.

<KeyPad Right>
    Right event.

<KeyPad Prior>
    Prior event.

<KeyPad Next>
    Next event.

<KeyPad End>
    Previous angle event.

<KeyPad Home>
    Next angle event.

<KeyPad Enter>
    Select event

  Synchronization fine tuning
Some streams have bad timestamps, so synchronization fails. This can be tweaked using these keys:

n   press if video lags behind audio

m   press if video runs ahead of audio

<home>
    press to reset audio/video offset to 0, so stream timestamps are unchanged.

  Subtitle synchronization
You can adjust subtitle synchronization by using these keys:

M / N

  Numeric Input
You can specify a numeric argument to be applied to a command typing in a number and then entering a function key. For example entering "99/", that is, the number-9 key twice and then the slash key, you should seek 99% of the current stream.

The new VCD/SVCD plugin allows some numeric input. Entering a number followed by the "Select event" (by default the keypad enter), one can go to a specific "Chapter" (track or entry) or selection number. As this is a relatively new feature, perhaps over time more plugins will make use of numeric selection.

Other commands that can be numeric prefaced by a numeric argument are next/previous MRL (MRL_NEXT, MRL_PRIOR), next/previous subtitle (SPU_NEXT, SPU_PRIOR), and next/previous audio channel (AUDIOCHAN_NEXT, AUDIOCHAN_PRIOR). With a numeric prefix, it is as though one entered that command the number of times. Here, the argument 0, since it would otherwise meaningless, is interpreted here to be 1 instead.

Admittedly the use of numeric input here is of limited value. Over time perhaps more useful commands like specifying a specific or absolute MRL, subtitle or audio channel number will be implemented.

FILES

~/.xine/config
    Main config file

~/.xine/keymap
    Key bindings for xine-ui

~/.xine/passwd
    Passwords file xine-ui

~/.xine/xinerc
    Additional command line arguments
    Each line specifies an additional command line argument (one argument per line):
    --geometry 720x576+0+0
    --network
    -s DVD
    -p

SEE ALSO
xine-remote(1)
xine(5) for details of the MRL syntax

The programs are documented fully on the xine home page: http://xinehq.de/ (http://xinehq.de/)

AUTHOR
This manual page was written by Siggi Langauf <siggi@debian.org>, for the xine project. Lots of additions by Guenter Bartsch <guenter@users.sourceforge.net>, Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>, Rocky Bernstein <rocky@panix.com>, and Philipp Hahn <pmhahn@users.sourceforge.net>.